#!/bin/sh
# script to make a new chroot for lbd

read -p "Enter chroot path: " CHROOT_PATH
#CHROOT_PATH=${1}
read -p "Enter installer to use (smart/urpmi): " INSTALLER
#INSTALLER=${3}
read -p "Enter media to use: " MEDIA
#MEDIA=${2}

# sanity checks

if [ -z ${CHROOT_PATH} ] ; then
	echo "No path supplied, aborting."
	exit 1
else
	echo "I'm about to REMOVE the contents of the following directory: ${CHROOT_PATH}."
	HMF=`ls -lR ${CHROOT_PATH} | wc -l`
	echo "There are approximately ${HMF} files in that directory."
	read -p "Would you like to proceed? (Yes/No): " INPUT
	if [ ${INPUT} = "No" ] ; then
		echo "Excellent choice. Aborting."
		exit 0
	else
		if [ ${INPUT} = "Yes" ] ; then
			rm -rf ${CHROOT_PATH}
			mkdir -p ${CHROOT_PATH}/var/lib/rpm
			
			if 	[ "${INSTALLER}" = "smart" ]
			then
				smart \
				-o force-channels=${MEDIA} \
				-o rpm-root=${CHROOT_PATH} \
				install \
				-y \
				basesystem \
				rpm-build
			elif [ "${INSTALLER}" = "urpmi" ]
			then
				urpmi \
				--auto-select \
				--media ${MEDIA} \
				--root ${CHROOT_PATH} \
				basesystem \
				rpm-build
			fi

			cp /etc/resolv.conf	${CHROOT_PATH}/etc/resolv.conf

# This step may require some manual attention as it
# depends on how you setup your chroots, see RPM_MACROS
# option in ~/.lbd configuration file

			cp -av /etc/skel/		${CHROOT_PATH}/home/
			mv ${CHROOT_PATH}/home/skel	${CHROOT_PATH}/home/lbd
			mkdir -p ${CHROOT_PATH}/home/lbd/RPM/{BUILD,RPMS/{alpha,i386,i486,i586,i686,noarch,ppc,ppc64,sparc,sparc64,x86_64},SOURCES,SRPMS,SPECS,tmp}
			cp -av ~lbd/.rpmrc		${CHROOT_PATH}/home/lbd
#			cp -av ~lbd/.rpmmacros.*	${CHROOT_PATH}/home/lbd
			chown -R lbd:lbd		${CHROOT_PATH}/home/lbd
			getent passwd | grep ^lbd >>	${CHROOT_PATH}/etc/passwd
			getent group  | grep ^lbd >>	${CHROOT_PATH}/etc/group
		else
			echo "You need to say either \"Yes\" or \"No\". Aborting"
	                exit 1
		fi
	fi
fi
